webkitgtk 2.36 doesn't work with orca anymore

Bug #1971076 reported by Daniel COTTO
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-orca
New
Unknown
orca (Ubuntu)
Fix Released
High
Unassigned
Focal
Fix Released
High
Unassigned
Impish
Fix Released
High
Unassigned
Jammy
Fix Released
High
Unassigned

Bug Description

Impact
------
webkitgtk apps are no longer readable by Ubuntu's default screen reader.

This regression was introduced with webkit2gtk 2.36. That version was a major security update and has been pushed to Ubuntu 20.04 LTS and Ubuntu 21.10.

There are many apps that use webkitgtk: evolution, epiphany, yelp, etc.

Test Case
---------
1. Install evolution
2. Open evolution and configure an email account.
3. Install the update
4. Open the Ubuntu/GNOME Settings app. In the left sidebar, select Accessibility.
5. Click Screen Reader and turn it on.
6. Open Evolution. Open an email in a new window. Select the body text area of the email.

The Screen Reader should read the text on that line.

What Could Go Wrong
------------------
For Ubuntu 21.10, we are just cherry-picking 2 commits from the stable gnome-40 branch.

We are also cherry-picking those 2 commits to Ubuntu 20.04 LTS.

Original Bug Report
-------------------
Since Ubuntu 22.04 I can not read the content of the yelp pages, le content of a mail from evolution or a web page from epiphany.
This worked correctly for Ubuntu 21.10 or Ubuntu 20.04 LTS.
This problem occurs if I migrate from a previous version, or if I reinstall from scrash.

Is there a new setting that I don't aware of?
This also could be related to webkitgtk I suppose.

A work arround is to select all the texte and to copy it to a place that I can read (gedit).

ProblemType: Bug
DistroRelease: Ubuntu 22.04
Package: orca 42.0-1ubuntu1
ProcVersionSignature: Ubuntu 5.15.0-27.28-generic 5.15.30
Uname: Linux 5.15.0-27-generic x86_64
ApportVersion: 2.20.11-0ubuntu82
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: MATE
Date: Sun May 1 10:03:38 2022
InstallationDate: Installed on 2022-04-03 (27 days ago)
InstallationMedia: Ubuntu 20.04.4 LTS "Focal Fossa" - Release amd64 (20220223)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: orca
UpgradeStatus: Upgraded to jammy on 2022-04-12 (18 days ago)
mtime.conffile..etc.xdg.autostart.orca-autostart.desktop: 2022-04-17T10:13:33.207956

Revision history for this message
Daniel COTTO (daniel1964) wrote :
Revision history for this message
Daniel COTTO (daniel1964) wrote :

Since the latest update of ubuntu 21.10 (I suppose libwebkitgtk) this issue now appear. Now on 21.10 I can not read evolution mail, and yelp.

affects: orca (Ubuntu) → webkit2gtk (Ubuntu)
Changed in webkit2gtk (Ubuntu):
importance: Undecided → High
tags: added: rls-jj-incoming
summary: - Yelp, evolution and epiphany-borwser are inaccessibles with orca
+ 2.36 doesn't work with orca anymore
tags: added: regression-update
Revision history for this message
Sebastien Bacher (seb128) wrote : Re: 2.36 doesn't work with orca anymore

Could you report the issue upstream on https://bugs.webkit.org/ ?

Revision history for this message
Sebastien Bacher (seb128) wrote :

Which actions are needed to make the screenreader read the content of the webpage? it seems to be reading the different UI element on tab but I'm unsure how it's supposed to be working

Changed in webkit2gtk (Ubuntu):
status: New → Incomplete
Revision history for this message
Sebastien Bacher (seb128) wrote :

it could be an orca issue, from an IRC discussion

> No, there's a new a11y impl in 2.36, with several improvements, I guess orca scripts needs to be updated
> When backporting it might be a good idea to disable use_atspi at build time, but that option has already been removed in trunk, so it won't be available in 2.38
> If you report bugs with the details of what is failing I can look at it from the WebKit side an joanie from orca side

Revision history for this message
Daniel COTTO (daniel1964) wrote :

When I navigate with orca I use tab to go link by link. This works effectively. But if I wnat to read the pag (or the mail) I use the arrow keys to navigate. This does not work. Orac has several mode to hangle the cursor (inst f12) toggle from cursor hangled by application / corsor handled by the screen reader. No effet now. In some case we need to toogle the application's navigation by cursor mode (f7). No effet. Finaly, the orca's structured navigation mode toggle (inst-z) has no effet neither.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Could you perhaps report the issue directly upstream on https://gitlab.gnome.org/GNOME/orca/-/issues ?

Changed in webkit2gtk (Ubuntu Jammy):
importance: Undecided → High
tags: removed: rls-jj-incoming
Revision history for this message
Daniel COTTO (daniel1964) wrote :

I've just inited a Bug the ORCA's gitlab.
Here's the issue: https://gitlab.gnome.org/GNOME/orca/-/issues/244

HTH

Jeremy Bicha (jbicha)
Changed in webkit2gtk (Ubuntu Impish):
importance: Undecided → High
Changed in webkit2gtk (Ubuntu Focal):
importance: Undecided → High
status: New → Triaged
Changed in webkit2gtk (Ubuntu Impish):
status: New → Triaged
Changed in webkit2gtk (Ubuntu Jammy):
status: New → Triaged
Changed in webkit2gtk (Ubuntu):
status: Incomplete → Fix Committed
affects: webkit2gtk (Ubuntu) → orca (Ubuntu)
summary: - 2.36 doesn't work with orca anymore
+ webkitgtk 2.36 doesn't work with orca anymore
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package orca - 42.1-1ubuntu1

---------------
orca (42.1-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian (LP: #1971076). Remaining changes:
    + debian/patches/unity-a11y.patch: add hacks to better work with Unity
    + Revert "control: Add xkbset dependency (Closes #972621)" This is in
      universe in Ubuntu so we can't depend on it. It's silently skipped if
      not available.

orca (42.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
  * control: Drop gnome-orca transition package, fixed since stretch.
    - orca.install: drop etc and usr, already installed.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.

 -- Jeremy Bicha <email address hidden> Wed, 18 May 2022 16:54:51 -0400

Changed in orca (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha)
description: updated
Revision history for this message
Sebastien Bacher (seb128) wrote :

Thanks Daniel for reporting it upstream and nice to see they are fixing it

Revision history for this message
Jeremy Bicha (jbicha) wrote :
Revision history for this message
Jeremy Bicha (jbicha) wrote :
Revision history for this message
Jeremy Bicha (jbicha) wrote :

I have built packages locally with these debdiffs and confirmed that the Test Case passes for me on Ubuntu 20.04 LTS, Ubuntu 21.10, and Ubuntu 22.04 LTS.

Revision history for this message
Jeremy Bicha (jbicha) wrote :
Changed in gnome-orca:
status: Unknown → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package orca - 40.0-1ubuntu2

---------------
orca (40.0-1ubuntu2) impish-security; urgency=medium

  * Fix some inaccessibility regressions in webkitgtk 2.36 (LP: #1971076)

 -- Jeremy Bicha <email address hidden> Thu, 19 May 2022 10:44:33 -0400

Changed in orca (Ubuntu Impish):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package orca - 3.36.2-1ubuntu1~20.04.2

---------------
orca (3.36.2-1ubuntu1~20.04.2) focal-security; urgency=medium

  * Fix some inaccessibility regressions in webkitgtk 2.36 (LP: #1971076)

 -- Jeremy Bicha <email address hidden> Thu, 19 May 2022 10:52:01 -0400

Changed in orca (Ubuntu Focal):
status: Triaged → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package orca - 42.0-1ubuntu2

---------------
orca (42.0-1ubuntu2) jammy-security; urgency=medium

  * Fix some inaccessibility regressions in webkitgtk 2.36 (LP: #1971076)

 -- Jeremy Bicha <email address hidden> Thu, 19 May 2022 10:24:04 -0400

Changed in orca (Ubuntu Jammy):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.